<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <meta name="description" content="Nano Proxy"/>
    <link rel="icon" type="image/svg+xml"  href="/internal/assets/favicon.svg">
    <script type="module" src="/src/init-only.tsx"></script>
    <title>{{.Title}}</title>
</head>
<body class="w-full h-full font-noto-sans hidden">
    <div class="flex flex-col items-center justify-center h-full">
        <div class="text-center items-center">
            <div class="flex items-center justify-center">
                <div class="!text-2xl !font-semibold !text-indigo-600">{{.Title}}</div>
            </div>

            <div class="flex items-center justify-center !mt-3">
                <div class="!text-base !font-bold !tracking-tight">{{.Message}}</div>
            </div>

            {{if .WithLoginButton}}
            <div class="flex items-center justify-center !mt-4">
                <div class="flex items-center justify-center gap-x-6">
                    <form action="{{.LoginUrl}}" method="post">
                        <button class="rounded-md bg-indigo-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">
                            Click/press here to Sign In using sso
                        </button>
                    </form>
                </div>
            </div>
            {{end}}

            <div class="flex items-center justify-center !mt-4 !mb-4 text-[11px] font-semibold">
                <div class="justify-start">ServiceID : {{.ServiceID}}</div>
                <div class="pl-3 pr-3">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4">
                        <path fill-rule="evenodd" d="M6.97 2.47a.75.75 0 011.06 0l4.5 4.5a.75.75 0 01-1.06 1.06L8.25 4.81V16.5a.75.75 0 01-1.5 0V4.81L3.53 8.03a.75.75 0 01-1.06-1.06l4.5-4.5zm9.53 4.28a.75.75 0 01.75.75v11.69l3.22-3.22a.75.75 0 111.06 1.06l-4.5 4.5a.75.75 0 01-1.06 0l-4.5-4.5a.75.75 0 111.06-1.06l3.22 3.22V7.5a.75.75 0 01.75-.75z" clip-rule="evenodd" />
                    </svg>

                </div>
                <div class="justify-end">RequestID : {{.RequestID}}</div>
            </div>

            {{if .HaveDetails}}
            <div class="flex items-center justify-center mt-4 mb-4 ml-1 mr-1 w-full">
                <div class="bg-black/20 max-w-md p-5">
                    <div class="text-[11px] !leading-7">{{.Details}}</div>
                </div>
            </div>
            {{end}}

            <div class="flex items-center justify-center mt-2">
                <div>
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4">
                        <path fill-rule="evenodd" d="M14.615 1.595a.75.75 0 01.359.852L12.982 9.75h7.268a.75.75 0 01.548 1.262l-10.5 11.25a.75.75 0 01-1.272-.71l1.992-7.302H3.75a.75.75 0 01-.548-1.262l10.5-11.25a.75.75 0 01.913-.143z" clip-rule="evenodd" />
                    </svg>
                </div>
                <div class="pl-2">
                    <div class="text-[11px] font-semibold">Powered By Nano Proxy</div>
                </div>
            </div>


        </div>
    </div>
</body>
</html>
